//
//  PEEditViewController.m
//  Persistency
//
//  Created by Felix Rohrer on 22.04.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "PEEditViewController.h"

@interface PEEditViewController ()

@end

@implementation PEEditViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

-(void)viewWillAppear:(BOOL)animated {
    NSLog(@"viewWillAppear: %@", [[self.managedObject valueForKey:@"name"] description]);
    self.firstname.text = [[self.managedObject valueForKey:@"name"] description];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)saveButtonPressed:(UIButton *)sender {
    // @todo: save data
    [self.managedObject setValue:self.firstname.text forKey:@"name"];

    // Save the context.
    NSError *error = nil;
    if (![self.managedObjectContext save:&error]) {
        // Replace this implementation with code to handle the error appropriately.
        // abort() causes the application to generate a crash log and terminate. You should not use this function in a shipping application, although it may be useful during development.
        NSLog(@"Unresolved error %@, %@", error, [error userInfo]);
        abort();
    }

        [self dismissViewControllerAnimated:YES completion:nil];
    //[self.navigationController popToViewController:self.parentViewController animated:YES];
    //[self.navigationController popToRootViewControllerAnimated:YES];
}


- (BOOL)textFieldShouldReturn:(UITextField*)aTextField {
    // hide keyboard - not working for numberpad ?!?
    [aTextField resignFirstResponder];
    return YES;
}

- (IBAction)backGroundTap:(id)sender {
    // dismiss keyboard / numberpad
    [self.firstname resignFirstResponder];
}


@end
